package mapped;

import net.runelite.api.Rasterizer;
import net.runelite.mapping.Export;

public class RuneLiteRasterizer implements Rasterizer {
   @Export("getPixels")
   public int[] getPixels() {
      return Rasterizer2D.Rasterizer2D_pixels;
   }

   @Export("getWidth")
   public int getWidth() {
      return Rasterizer2D.Rasterizer2D_width;
   }

   @Export("getHeight")
   public int getHeight() {
      return Rasterizer2D.Rasterizer2D_height;
   }

   @Export("fillRectangle")
   public void fillRectangle(int var1, int var2, int var3, int var4, int var5) {
      Rasterizer2D.Rasterizer2D_fillRectangle_base(var1, var2, var3, var4, var5);
   }

   @Export("rasterFlat")
   public void rasterFlat(int var1, int var2, int var3, int var4, int var5, int var6, int var7) {
      Rasterizer3D.rasterFlat_base(var1, var2, var3, var4, var5, var6, 0.0F, 0.0F, 0.0F, var7);
   }

   @Export("setRasterGouraudLowRes")
   public void setRasterGouraudLowRes(boolean var1) {
      Rasterizer3D.clips.rasterGouraudLowRes = var1;
   }

   @Export("rasterGouraud")
   public void rasterGouraud(int var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8, int var9) {
      Rasterizer3D.rasterGouraud_base(var1, var2, var3, var4, var5, var6, 0.0F, 0.0F, 0.0F, var7, var8, var9);
   }

   @Export("setDrawRegion")
   public void setDrawRegion(int var1, int var2, int var3, int var4) {
      Rasterizer2D.Rasterizer2D_setClip_base(var1, var2, var3, var4);
   }

   @Export("resetRasterClipping")
   public void resetRasterClipping() {
      Rasterizer3D.resetRasterClipping_base();
   }
}
